dots.v2.genAi.knowledge_bases.byKnowledge_base_uuId().data_sources.byData_source_uuid().put()
Generated on 5 Nov 2026
from DoTs version
v1.23.0
Usage
client.v2.genAi.knowledge_bases.byKnowledge_base_uuId(knowledge_base_uuId).data_sources.byData_source_uuid(data_source_uuid).put(body: ApiUpdateKnowledgeBaseDataSourceInputPublic, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | ApiUpdateKnowledgeBaseDataSourceOutput>Description
To update a data source (e.g. chunking options), send a PUT request to /v2/gen-ai/knowledge_bases/{knowledge_base_uuid}/data_sources/{data_source_uuid}.
Parameters
Path Parameters
knowledge_base_uuIdstring requiredExample:
123e4567-e89b-12d3-a456-426614174000Knowledge Base ID (Path Parameter)
data_source_uuidstring requiredExample:
123e4567-e89b-12d3-a456-426614174000Data Source ID (Path Parameter)
Request Body
chunkingAlgorithmstring optionalchunkingOptionsobject optionalShow child properties
childChunkSizeinteger optionalExample:
350maxChunkSizeinteger optionalExample:
750Common options
parentChunkSizeinteger optionalExample:
1000Hierarchical options
semanticThresholdnumber optionalExample:
0.5Semantic options
dataSourceUuidstring optionalExample:
"98765432-1234-1234-1234-123456789012"Data Source ID (Path Parameter)
knowledgeBaseUuidstring optionalExample:
"12345678-1234-1234-1234-123456789012"Knowledge Base ID (Path Parameter)
Request Sample
Response Example
More Information
See /v2/gen-ai/knowledge_bases/{knowledge_base_uuid}/data_sources/{data_source_uuid} in the API reference for additional detail on responses, headers, parameters, and more.